## org.jfree.data
Interface Values2D

All Known Subinterfaces:
  BoxAndWhiskerCategoryDataset, CategoryDataset, GanttCategoryDataset, IntervalCategoryDataset, KeyedValues2D, KeyedValues2DDataset, StatisticalCategoryDataset

All Known Implementing Classes:
  DefaultBoxAndWhiskerCategoryDataset, DefaultCategoryDataset, DefaultIntervalCategoryDataset, DefaultKeyedValues2D, DefaultKeyedValues2DDataset, DefaultStatisticalCategoryDataset, JDBCCategoryDataset, TaskSeriesCollection

    public interface Values2D

A general purpose interface that can be used to access a table of values.

Method Summary
`int` `getColumnCount()` Returns the number of columns in the table.
`int` `getRowCount()` Returns the number of rows in the table.
`java.lang.Number` `getValue(int row, int column)` Returns a value from the table.

Method Detail

### getRowCount

    int getRowCount()

  Returns the number of rows in the table.

  Returns:
    The row count.

### getColumnCount

    int getColumnCount()

  Returns the number of columns in the table.

  Returns:
    The column count.

### getValue

    java.lang.Number getValue(int row,
                              int column)

  Returns a value from the table.

  Parameters:
    `row` - the row index (zero-based).
    `column` - the column index (zero-based).
  Returns:
    The value (possibly `null`).
  Throws:
    `java.lang.IndexOutOfBoundsException` - if the `row` or `column` is out of bounds.